There’s a problem if you develop platform-independent solution. If you have two folders like layout-land and layout-land-ldpi – Android 1.5 takes files from layout-land-ldpi folder. To avoid this just add v4 to the folder name like layout-land-ldpi-v4.

Please make sure that you have correct versions in you AndroidManifest.xml:

<uses-sdk android:minSdkVersion="3" android:targetSdkVersion="4" />